Bug 844129 - crash with *** stack smashing detected ***
crash with *** stack smashing detected ***
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 03:20 EDT by giulix
Modified: 2016-11-30 19:30 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:56:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace + Memory map (15.17 KB, text/plain)
2012-07-29 03:20 EDT, giulix
no flags Details
Valgrind k3b output (4.73 KB, application/zip)
2012-07-30 15:02 EDT, giulix
no flags Details
Valgrind output + stack trace (4.10 KB, application/zip)
2012-07-31 14:48 EDT, giulix
no flags Details

  None (edit)
Description giulix 2012-07-29 03:20:18 EDT
Created attachment 600998 [details]
Stack trace + Memory map

Description of problem:
k3b crashes with *** stack smashing detected ***

Version-Release number of selected component (if applicable):
k3b-2.0.2-6.fc17.x86_64

How reproducible:
Always (as normal user AND root)

Steps to Reproduce:
1. Run k3b
2.
3.
  
Actual results:
Application crashes

Expected results:
Application runs

Additional info:
Stack trace + Memory map attached. Just ask if more is needed
Comment 1 Radek Novacek 2012-07-30 03:41:18 EDT
Can you please provide valgrind log for k3b.

Run this command as user (not root):

valgrind --trace-children=yes k3b

And add result as an attachment here.

Thank you.
Comment 2 giulix 2012-07-30 15:01:47 EDT
Valgrind output provided as requested.

Thank you.
Comment 3 giulix 2012-07-30 15:02:47 EDT
Created attachment 601332 [details]
Valgrind k3b output
Comment 4 Radek Novacek 2012-07-31 02:47:23 EDT
Sorry, I've forgot to ask you to install debuginfo package for k3b. You can do it by running (as root):

yum install --enablerepo=\*-debuginfo k3b-debuginfo

Then rerun the valgrind command. And the stack trace with debuginfo might be also useful.

Thank you.
Comment 5 giulix 2012-07-31 14:48:57 EDT
Created attachment 601569 [details]
Valgrind output + stack trace

As required.

Thank you
Comment 6 Kevin Kofler 2012-07-31 18:42:25 EDT
Unfortunately, Valgrind is not all that helpful in this case because this is an overflow on the stack, which Valgrind does not detect.

What the stack traces from Valgrind do tell us, though, is that the overflow is somewhere in K3b::Device::Device::checkFeatures() in k3bdevice.cpp near line 3033. (That line number is probably the end of the function, the overflow of course happens further up in the code.)
Comment 7 giulix 2012-08-01 16:08:09 EDT
k3b used to work until a few weeks ago, when an update supposedly screwed it up. Since no k3b update has been issued recently, I reckon it must have been some linked library. I had a look at the yum log, but I could not identify any that is used by k3b. Brasero works fine...
Comment 8 giulix 2012-08-04 09:01:18 EDT
Rebuilt from source and reinstalled, cannot replicate.
Comment 9 Fedora End Of Life 2013-07-03 22:59:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 05:56:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.